Debian Bug report logs - #571945
live-magic: image build fails with "debian-installer flavour disabled not supported"

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Jiří Paleček <jpalecek@web.de>

Date: Sun, 28 Feb 2010 13:45:01 UTC

Severity: normal

Found in version live-magic/1.9

Fixed in version live-magic/1.10

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#571945; Package live-magic. (Sun, 28 Feb 2010 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jiří Paleček <jpalecek@web.de>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 28 Feb 2010 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jiří Paleček <jpalecek@web.de>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: live-magic: image build fails with "debian-installer flavour disabled not supported"
Date: Sun, 28 Feb 2010 15:45:26 +0100
Package: live-magic
Version: 1.9
Severity: normal

Hello,

I tried creating Debian Live USB image with live-magic, selected no
when asked about inclusion of debian-installer. but the build failed
with the following message:

P: Begin creating manifest...
P: Begin installing local packages lists...
P: Begin install linux-image...
E: debian-installer flavour disabled not supported.
P: Begin unmounting filesystems...
P: Cleaning chroot

It seems the word "disabled" cannot be used to disable
debian-instaler...

Regards
    Jiri Palecek

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.27-test-pcw (SMP w/1 CPU core; PREEMPT)
Locale: LANG=cs_CZ, LC_CTYPE=cs_CZ (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-magic depends on:
ii  gksu                          2.0.0-5    graphical frontend to su
ii  live-helper                   2.0~a8-1   Debian Live build scripts
ii  python                        2.5.4-3    An interactive high-level  
object-o
ii  python-glade2                 2.16.0-1   GTK+ bindings: Glade support
ii  python-gtk2                   2.16.0-1   Python bindings for the GTK+  
widge
ii  python-support                1.0.2      automated rebuilding support  
for P
ii  python-vte                    1:0.16.4-1 Python bindings for the VTE  
widget
ii  xdg-utils                     1.0.1-2    Desktop integration utilities  
from

Versions of packages live-magic recommends:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system

live-magic suggests no packages.

-- no debconf information


-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#571945; Package live-magic. (Sun, 28 Feb 2010 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 28 Feb 2010 15:06:02 GMT) Full text and rfc822 format available.

Message #10 received at 571945@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jiří Paleček <jpalecek@web.de>
Cc: 571945@bugs.debian.org
Subject: Re: Bug#571945: live-magic: image build fails with "debian-installer flavour disabled not supported"
Date: Sun, 28 Feb 2010 16:03:43 +0100
On 02/28/2010 03:45 PM, Jiří Paleček wrote:
> It seems the word "disabled" cannot be used to disable
> debian-instaler...

in live-helper 2, we switched from enabled/disabled to true/false some 
time ago.

please test git://live.debian.net/git/live-magic.git, the last commit 
should there should fix it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 12 Mar 2010 22:09:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 06:18:08 GMT) Full text and rfc822 format available.

Notification sent to Jiří Paleček <jpalecek@web.de>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 06:18:08 GMT) Full text and rfc822 format available.

Message #17 received at 571945-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 571945-close@bugs.debian.org
Subject: Bug#571945: fixed in live-magic 1.10
Date: Mon, 15 Mar 2010 06:17:07 +0000
Source: live-magic
Source-Version: 1.10

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.10.dsc
  to main/l/live-magic/live-magic_1.10.dsc
live-magic_1.10.tar.gz
  to main/l/live-magic/live-magic_1.10.tar.gz
live-magic_1.10_all.deb
  to main/l/live-magic/live-magic_1.10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 07:05:42 +0100
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.10
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 571945
Changes: 
 live-magic (1.10) unstable; urgency=low
 .
   * Update live-helper booleans for version 2 (Closes: #571945).
Checksums-Sha1: 
 cdc27d3b760081086a48c0cc1e6b4f17051466af 1021 live-magic_1.10.dsc
 e41d9877cf9418a52f9658865b8493fbd8513a77 77415 live-magic_1.10.tar.gz
 e1398023796bc6f2e8f101b9f33850f369313063 62642 live-magic_1.10_all.deb
Checksums-Sha256: 
 c34d18576c4023f6306ace0b3949c390bfae350eb5c7d040a765867a22b40cf0 1021 live-magic_1.10.dsc
 25291731b1d3aad84ada1bfb07e12ca4ef74f12829818cfa84e2c066ef5d06fc 77415 live-magic_1.10.tar.gz
 a850611b09162bbf2fb01dab0629fb3391973697c6dd5f547d02c0cb2c700915 62642 live-magic_1.10_all.deb
Files: 
 599e241e6cb9586c12958e3de0fc3751 1021 misc optional live-magic_1.10.dsc
 4da52f42354c627502cc74232a11eb85 77415 misc optional live-magic_1.10.tar.gz
 458268830ff125aa508c23a4067caf52 62642 misc optional live-magic_1.10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudzvwACgkQ+C5cwEsrK54J0gCfbqkFEa8aZ69e9iwn6uggJqyK
M44An1LWxyl+Ak/UEZQ7aXloqqi2EGRH
=B/l7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Apr 2010 07:35:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:19:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.